image: antora/antora:2.3.1

stages:
  - verify
  - deploy

shell-check:
  image: koalaman/shellcheck-alpine:stable
  stage: verify
  before_script:
    - shellcheck --version
  script:
    - shellcheck src/main/**/**/*.sh
    - shellcheck src/main/**/**/**/*.sh
    - shellcheck src/main/**/**/**/**/*.sh
    #- shellcheck src/test/*.sh

yamllint:
  image: registry.gitlab.com/pipeline-components/yamllint:latest
  stage: verify
  script:
    - yamllint .
